Package org.pgpainless.util

# Class ArmoredInputStreamFactory

java.lang.Object
org.pgpainless.util.ArmoredInputStreamFactory

public final class ArmoredInputStreamFactory extends Object
Factory class for instantiating preconfigured `ArmoredInputStreams`. `get(InputStream)` will return an `ArmoredInputStream` that is set up to properly detect CRC errors.

## Method Summary

Modifier and Type
Method
Description
`static org.bouncycastle.bcpg.ArmoredInputStream`
`get(InputStream inputStream)`
Return an instance of `ArmoredInputStream` which will detect CRC errors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

@Nonnull public static org.bouncycastle.bcpg.ArmoredInputStream get(@Nonnull InputStream inputStream) throws IOException
Return an instance of `ArmoredInputStream` which will detect CRC errors.

Parameters:
  `inputStream` - input stream
Returns:
  armored input stream
Throws:
  `IOException` - in case of an IO error